package cn.ibizlab.core.ou.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.ou.domain.IBZDepartment;
import cn.ibizlab.core.ou.filter.IBZDepartmentSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBZDepartment] 服务对象接口
 */
public interface IIBZDepartmentService extends IService<IBZDepartment>{

    boolean create(IBZDepartment et) ;
    void createBatch(List<IBZDepartment> list) ;
    IBZDepartment get(String key) ;
    boolean save(IBZDepartment et) ;
    void saveBatch(List<IBZDepartment> list) ;
    boolean checkKey(IBZDepartment et) ;
    IBZDepartment getDraft(IBZDepartment et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean update(IBZDepartment et) ;
    void updateBatch(List<IBZDepartment> list) ;
    Page<IBZDepartment> searchDefault(IBZDepartmentSearchContext context) ;

    List<IBZDepartment> selectByParentdeptid(String deptid) ;
    void removeByParentdeptid(String deptid) ;

    List<IBZDepartment> selectByOrgid(String orgid) ;
    void removeByOrgid(String orgid) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


